drc: rework for 64bit, part 4
[pcsx_rearmed.git] / configure
CommitLineData
4132e8ca 1#!/bin/sh
2# some elements originated from qemu configure
3set -e
4
5TMPC="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.c"
6TMPO="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.o"
07c13dfd 7TMPB="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}"
8trap "rm -f $TMPC $TMPO $TMPB" EXIT INT QUIT TERM
4132e8ca 9rm -f config.log
10
11compile_object()
12{
07c13dfd 13 c="$CC $CFLAGS -c $TMPC -o $TMPO $@"
14 echo $c >> config.log
15 $c >> config.log 2>&1
16}
17
18compile_binary()
19{
20 c="$CC $CFLAGS $TMPC -o $TMPB $LDFLAGS $MAIN_LDLIBS $@"
4132e8ca 21 echo $c >> config.log
22 $c >> config.log 2>&1
23}
24
25check_define()
26{
cc376814 27 $CC -E -dD $CFLAGS include/arm_features.h | grep -q "$1" || return 1
28 return 0
29}
30
31check_define_val()
32{
33 $CC -E -dD $CFLAGS include/arm_features.h | grep "$1" | awk '{print $3}'
4132e8ca 34 return 0
35}
36
37# setting options to "yes" or "no" will make that choice default,
38# "" means "autodetect".
39
38c2028e 40platform_list="generic pandora maemo caanoo libretro"
4132e8ca 41platform="generic"
0bfe8d59 42builtin_gpu_list="peops unai neon senquack"
61bc6d40 43builtin_gpu=""
b68bf5c2 44sound_driver_list="oss alsa pulseaudio sdl libretro"
07c13dfd 45sound_drivers=""
dd4d5a35 46plugins="plugins/spunull/spunull.so \
0bfe8d59 47plugins/dfxvideo/gpu_peops.so plugins/gpu_unai/gpu_unai.so plugins/gpu_senquack/gpu_senquack.so"
4132e8ca 48ram_fixed="no"
49drc_cache_base="no"
00a212aa 50have_armv5=""
4132e8ca 51have_armv6=""
52have_armv7=""
53have_arm_neon=""
54have_tslib=""
5b9aa749 55have_gles=""
5514a050 56have_c64x_dsp=""
4132e8ca 57enable_dynarec="yes"
f89fa2d9 58need_sdl="no"
955f9af0 59need_xlib="no"
cc56203b 60need_libpicofe="yes"
61need_warm="no"
943a507a 62enable_icache_emu="yes"
5b9aa749 63CFLAGS_GLES=""
64LDLIBS_GLES=""
4132e8ca 65# these are for known platforms
66optimize_cortexa8="no"
67optimize_arm926ej="no"
68
69# hardcoded stuff
70CC="${CC-${CROSS_COMPILE}gcc}"
ac6575cd 71CXX="${CXX-${CROSS_COMPILE}g++}"
4132e8ca 72AS="${AS-${CROSS_COMPILE}as}"
73AR="${AS-${CROSS_COMPILE}ar}"
9aff1963 74MAIN_LDLIBS="$LDLIBS -ldl -lm -lpthread"
4132e8ca 75config_mak="config.mak"
76
07c13dfd 77fail()
78{
79 echo "$@"
80 exit 1
81}
82
4132e8ca 83# call during arg parsing, so that cmd line can override platform defaults
84set_platform()
85{
86 platform=$1
87 case "$platform" in
88 generic)
89 ;;
90 pandora)
07c13dfd 91 sound_drivers="oss alsa"
4132e8ca 92 ram_fixed="yes"
93 drc_cache_base="yes"
94 optimize_cortexa8="yes"
95 have_arm_neon="yes"
955f9af0 96 need_xlib="yes"
943a507a 97 enable_icache_emu="no"
4132e8ca 98 ;;
99 maemo)
100 ram_fixed="yes"
101 drc_cache_base="yes"
102 optimize_cortexa8="yes"
103 have_arm_neon="yes"
943a507a 104 enable_icache_emu="no"
4132e8ca 105 ;;
106 caanoo)
07c13dfd 107 sound_drivers="oss"
4132e8ca 108 ram_fixed="yes"
109 drc_cache_base="yes"
110 optimize_arm926ej="yes"
cc56203b 111 need_warm="yes"
943a507a 112 enable_icache_emu="no"
4132e8ca 113 ;;
38c2028e 114 libretro)
07c13dfd 115 sound_drivers="libretro"
cc56203b 116 need_libpicofe="no"
38c2028e 117 ;;
4132e8ca 118 *)
07c13dfd 119 fail "unsupported platform: $platform"
4132e8ca 120 ;;
121 esac
122}
123
124for opt do
125 optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'` || true
126 case "$opt" in
127 --help|-h) show_help="yes"
128 ;;
129 --platform=*) set_platform "$optarg"
130 ;;
61bc6d40 131 --gpu=*) builtin_gpu="$optarg"
132 ;;
07c13dfd 133 --sound-drivers=*) sound_drivers="$optarg"
4132e8ca 134 ;;
135 --enable-neon) have_arm_neon="yes"
136 ;;
137 --disable-neon) have_arm_neon="no"
138 ;;
139 --disable-dynarec) enable_dynarec="no"
140 ;;
943a507a 141 --disable-icache-emu) enable_icache_emu="no"
142 ;;
143 --enable-icache-emu) enable_icache_emu="yes"
144 ;;
4132e8ca 145 *) echo "ERROR: unknown option $opt"; show_help="yes"
146 ;;
147 esac
148done
149
150if [ "$show_help" = "yes" ]; then
151 echo "options:"
152 echo " --help print this message"
153 echo " --platform=NAME target platform [$platform]"
154 echo " available: $platform_list"
61bc6d40 155 echo " --gpu=NAME builtin gpu plugin [guessed]"
156 echo " available: $builtin_gpu_list"
07c13dfd 157 echo " --sound-drivers=LIST sound output drivers [guessed]"
4132e8ca 158 echo " available: $sound_driver_list"
159 echo " --enable-neon"
160 echo " --disable-neon enable/disable ARM NEON optimizations [guessed]"
161 echo " --disable-dynarec disable dynamic recompiler"
162 echo " (dynarec is only available and enabled on ARM)"
943a507a 163 echo " --disable-icache-emu Disables the instruction cache emulation"
4132e8ca 164 echo "influential environment variables:"
ac6575cd 165 echo " CROSS_COMPILE CC CXX AS AR CFLAGS ASFLAGS LDFLAGS LDLIBS"
4132e8ca 166 exit 1
167fi
168
07c13dfd 169# validate selections
61bc6d40 170if [ "x$builtin_gpu" != "x" ]; then
07c13dfd 171 if ! echo $builtin_gpu_list | grep -q "\<$builtin_gpu\>"; then
172 fail "unsupported builtin gpu plugin: $builtin_gpu"
173 fi
61bc6d40 174fi
175
07c13dfd 176if [ "x$sound_drivers" != "x" ]; then
177 for d in $sound_drivers; do
178 if ! echo $sound_driver_list | grep -q "\<$d\>"; then
179 fail "unsupported sound driver: $sound_driver"
180 fi
181 done
182fi
4132e8ca 183
cc56203b 184if [ "$need_libpicofe" = "yes" ]; then
185 if ! test -f "frontend/libpicofe/README"; then
186 fail "libpicofe is missing, please run 'git submodule init && git submodule update'"
187 fi
188fi
189
190if [ "$need_warm" = "yes" ]; then
191 if ! test -f "frontend/warm/README"; then
192 fail "wARM is missing, please run 'git submodule init && git submodule update'"
193 fi
194fi
195
00a212aa 196# basic compiler test
197cat > $TMPC <<EOF
198#include <zlib.h>
199int main(void) { return 0; }
200EOF
201if ! compile_binary; then
0dc1b4a9 202 fail "compiler test failed, please check config.log"
00a212aa 203fi
204
4132e8ca 205if [ -z "$ARCH" ]; then
0dc1b4a9 206 ARCH=`$CC -dumpmachine | awk -F '-' '{print $1}'`
4132e8ca 207fi
208
0dc1b4a9 209case "$ARCH" in
210arm*)
211 # ARM stuff
212 ARCH="arm"
213
4132e8ca 214 if [ "$optimize_cortexa8" = "yes" ]; then
4132e8ca 215 CFLAGS="$CFLAGS -mcpu=cortex-a8 -mtune=cortex-a8"
216 ASFLAGS="$ASFLAGS -mcpu=cortex-a8"
217 fi
218 if [ "$optimize_arm926ej" = "yes" ]; then
219 CFLAGS="$CFLAGS -mcpu=arm926ej-s -mtune=arm926ej-s"
220 ASFLAGS="$ASFLAGS -mcpu=arm926ej-s -mfloat-abi=softfp"
221 fi
222
223 if [ "x$have_arm_neon" = "x" ]; then
224 # detect NEON from user-supplied cflags to enable asm code
225 have_arm_neon=`check_define __ARM_NEON__ && echo yes` || true
226 fi
4132e8ca 227 if [ "x$have_armv7" = "x" ]; then
00a212aa 228 if check_define HAVE_ARMV7; then
4132e8ca 229 have_armv7="yes"
00a212aa 230 have_armv6="yes"
231 have_armv5="yes"
4132e8ca 232 fi
233 fi
00a212aa 234 if [ "x$have_armv6" = "x" ]; then
235 if check_define HAVE_ARMV6; then
236 have_armv6="yes"
237 have_armv5="yes"
238 fi
239 fi
240 if [ "x$have_armv5" = "x" ]; then
241 have_armv5=`check_define HAVE_ARMV5 && echo yes` || true
242 fi
4132e8ca 243
61bc6d40 244 if [ "x$builtin_gpu" = "x" ]; then
245 if [ "$have_arm_neon" = "yes" ]; then
246 builtin_gpu="neon"
247 elif [ "$have_armv7" != "yes" ]; then
248 # pre-ARMv7 hardware is usually not fast enough for peops
249 builtin_gpu="unai"
250 else
251 builtin_gpu="peops"
252 fi
253 fi
254
e795af9e 255 # automatically set mfpu and mfloat-abi if they are not set
4132e8ca 256 if [ "$have_arm_neon" = "yes" ]; then
40cf6975 257 fpu="neon"
4132e8ca 258 elif [ "$have_armv6" = "yes" ]; then
40cf6975 259 fpu="vfp"
4132e8ca 260 fi
40cf6975 261 if [ "x$fpu" != "x" ]; then
262 echo "$CFLAGS" | grep -q -- '-mfpu=' || CFLAGS="$CFLAGS -mfpu=$fpu"
263 echo "$ASFLAGS" | grep -q -- '-mfpu=' || ASFLAGS="$ASFLAGS -mfpu=$fpu"
264 floatabi_set_by_gcc=`$CC -v 2>&1 | grep -q -- --with-float= && echo yes` || true
265 if [ "$floatabi_set_by_gcc" != "yes" ]; then
266 echo "$CFLAGS" | grep -q -- '-mfloat-abi=' || CFLAGS="$CFLAGS -mfloat-abi=softfp"
267 echo "$ASFLAGS" | grep -q -- '-mfloat-abi=' || ASFLAGS="$ASFLAGS -mfloat-abi=softfp"
268 fi
4132e8ca 269 fi
270
9f704290 271 # must disable thumb as recompiler can't handle it
96751f36 272 if check_define __thumb__; then
9f704290 273 CFLAGS="$CFLAGS -marm"
96751f36 274 fi
00a212aa 275
276 # warn about common mistakes
277 if [ "$have_armv5" != "yes" ]; then
278 if ! echo "$CFLAGS" | grep -q -- '-mcpu=\|-march='; then
279 echo "Warning: compiling for ARMv4, is that really what you want?"
280 echo "You probably should specify -mcpu= or -march= like this:"
281 echo " CFLAGS=-march=armv6 ./configure ..."
282 fi
283 fi
284 if [ "$have_arm_neon" = "yes" -a "$have_armv7" != "yes" ]; then
285 echo "Warning: compiling for NEON, but not ARMv7?"
286 echo "You probably want to specify -mcpu= or -march= like this:"
287 echo " CFLAGS=-march=armv7-a ./configure ..."
288 fi
0dc1b4a9 289 ;;
290*)
4132e8ca 291 # dynarec only available on ARM
292 enable_dynarec="no"
0dc1b4a9 293 ;;
294esac
4132e8ca 295
61bc6d40 296if [ "x$builtin_gpu" = "x" ]; then
297 builtin_gpu="peops"
298fi
299
4132e8ca 300# supposedly we can avoid -fPIC on armv5 for slightly better performace?
301if [ "$ARCH" != "arm" -o "$have_armv6" = "yes" ]; then
302 PLUGIN_CFLAGS="$PLUGIN_CFLAGS -fPIC"
303fi
304
305if [ "$ram_fixed" = "yes" ]; then
306 CFLAGS="$CFLAGS -DRAM_FIXED"
307fi
308
38c2028e 309case "$platform" in
310generic)
f89fa2d9 311 need_sdl="yes"
38c2028e 312 ;;
313maemo)
7010034e 314 CFLAGS="$CFLAGS -DMAEMO -DMAEMO_CHANGES"
38c2028e 315 ;;
316libretro)
317 CFLAGS="$CFLAGS -fPIC"
22fa3f2b 318 MAIN_LDFLAGS="$MAIN_LDFLAGS -shared -Wl,--no-undefined"
38c2028e 319 ;;
320esac
4132e8ca 321
07c13dfd 322# header/library presence tests
323check_zlib()
324{
325 cat > $TMPC <<EOF
326 #include <zlib.h>
791f6e3e 327 int main(void) { uncompress(0, 0, 0, 0); }
07c13dfd 328EOF
329 compile_binary
330}
331
07c13dfd 332check_libpng()
333{
334 cat > $TMPC <<EOF
335 #include <png.h>
336 void main() { png_init_io(0, 0); }
337EOF
338 compile_binary
339}
340
341check_oss()
342{
343 cat > $TMPC <<EOF
344 #include <sys/soundcard.h>
345 #include <sys/ioctl.h>
346 void main() { int a=0; ioctl(0, SNDCTL_DSP_SETFMT, &a); }
347EOF
348 compile_binary
349}
350
351check_alsa()
352{
353 cat > $TMPC <<EOF
354 #include <alsa/asoundlib.h>
355 void main() { snd_pcm_open(0, 0, 0, 0); }
356EOF
357 compile_binary "$@"
358}
359
b68bf5c2 360check_pulseaudio()
361{
362 cat > $TMPC <<EOF
363 #include <pulse/pulseaudio.h>
364 void main() { pa_threaded_mainloop_new(); }
365EOF
366 compile_binary "$@"
367}
368
07c13dfd 369check_sdl()
370{
371 cat > $TMPC <<EOF
372 #include <SDL.h>
373 void main() { SDL_OpenAudio(0, 0); }
374EOF
375 compile_binary "$@"
376}
377
955f9af0 378check_xlib_headers()
379{
380 cat > $TMPC <<EOF
381 #include <X11/Xlib.h>
382 void *f() { return XOpenDisplay(0); }
383EOF
384 compile_object "$@"
385}
386
5514a050 387# see if we have c64_tools for TI C64x DSP
388check_c64_tools()
389{
390 cat > $TMPC <<EOF
391 #include <inc_libc64_mini.h>
392 int f() { return dsp_open(); }
393EOF
394 compile_object "$@"
395}
396
f89fa2d9 397MAIN_LDLIBS="$MAIN_LDLIBS -lz"
9f704290 398check_zlib || fail "please install zlib (libz-dev)"
f89fa2d9 399
f89fa2d9 400MAIN_LDLIBS="-lpng $MAIN_LDLIBS"
9f704290 401check_libpng || fail "please install libpng (libpng-dev)"
07c13dfd 402
403# find what audio support we can compile
404if [ "x$sound_drivers" = "x" ]; then
405 if check_oss; then sound_drivers="$sound_drivers oss"; fi
f89fa2d9 406 if check_alsa -lasound; then
407 sound_drivers="$sound_drivers alsa"
408 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
409 fi
b68bf5c2 410 if check_pulseaudio -lpulse; then
411 sound_drivers="$sound_drivers pulseaudio"
412 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
413 fi
9f704290 414 if [ "$need_sdl" = "yes" ] || check_sdl `sdl-config --cflags --libs`; then
f89fa2d9 415 sound_drivers="$sound_drivers sdl"
416 need_sdl="yes"
417 fi
418else
419 if echo $sound_drivers | grep -q "\<oss\>"; then
420 check_oss || fail "oss support is missing"
421 fi
422 if echo $sound_drivers | grep -q "\<alsa\>"; then
423 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
424 check_alsa || fail "please install libasound2-dev"
425 fi
b68bf5c2 426 if echo $sound_drivers | grep -q "\<pulseaudio\>"; then
427 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
428 check_pulseaudio || fail "pulseaudio support is missing"
429 fi
07c13dfd 430fi
431
9f704290 432if [ "$need_sdl" = "yes" ]; then
433 which sdl-config > /dev/null || \
434 fail "sdl-config is missing; please install libsdl (libsdl1.2-dev)"
f89fa2d9 435 CFLAGS="$CFLAGS `sdl-config --cflags`"
436 MAIN_LDLIBS="`sdl-config --libs` $MAIN_LDLIBS"
9f704290 437 check_sdl || fail "please install libsdl (libsdl1.2-dev)"
07c13dfd 438fi
439
4132e8ca 440# check for tslib (only headers needed)
441if [ "x$have_tslib" = "x" ]; then
442 cat > $TMPC <<EOF
443 #include <tslib.h>
444 void test(struct ts_sample sample) {}
445EOF
446 if compile_object; then
447 have_tslib="yes"
448 else
449 have_tslib="no"
450 fi
451fi
452
5b9aa749 453# check for VideoCore stuff for Raspberry Pi
ad6150e0 454if [ -d /opt/vc/include -a -d /opt/vc/lib -a "$VIDEOCORE" != "no" ]; then
237d1f6f 455 CFLAGS_GLES="$CFLAGS_GLES -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux"
5b9aa749 456 LDLIBS_GLES="$LDLIBS_GLES -L/opt/vc/lib"
cbcadc5f 457 if [ -f /opt/vc/lib/libbcm_host.so ]; then
458 LDLIBS_GLES="$LDLIBS_GLES -lbcm_host"
459 fi
955f9af0 460 need_xlib="yes"
ad6150e0 461 VIDEOCORE="yes"
5b9aa749 462fi
463
dd4d5a35 464# check for GLES headers
465cat > $TMPC <<EOF
466#include <GLES/gl.h>
dd4d5a35 467#include <EGL/egl.h>
5b9aa749 468int main(void) {
469 return (int)eglGetDisplay( (EGLNativeDisplayType)0 );
dd4d5a35 470}
471EOF
ad6150e0
CG
472if [ "$VIDEOCORE" = "yes" ] && compile_binary $CFLAGS_GLES -lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES; then
473 have_gles="yes"
474 LDLIBS_GLES="-lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES"
475elif compile_binary $CFLAGS_GLES -lEGL -lGLES_CM $LDLIBS_GLES; then
5b9aa749 476 have_gles="yes"
477 LDLIBS_GLES="-lEGL -lGLES_CM $LDLIBS_GLES"
478elif compile_binary $CFLAGS_GLES -lEGL -lGLESv1_CM $LDLIBS_GLES; then
479 have_gles="yes"
480 LDLIBS_GLES="-lEGL -lGLESv1_CM $LDLIBS_GLES"
dd4d5a35 481fi
482
5514a050 483if check_c64_tools; then
484 have_c64x_dsp="yes"
485fi
486
5b9aa749 487if [ "$have_gles" = "yes" ]; then
488 plugins="$plugins plugins/gpu-gles/gpu_gles.so"
489fi
61bc6d40 490if [ "$have_arm_neon" = "yes" -a "$builtin_gpu" != "neon" ]; then
491 plugins="$plugins plugins/gpu_neon/gpu_neon.so"
492fi
493
955f9af0 494# check for xlib (only headers needed)
495if [ "x$need_xlib" = "xyes" ]; then
496 check_xlib_headers || fail "please install libx11-dev"
497fi
498
cc376814 499sizeof_long=`check_define_val __SIZEOF_LONG__`
500if [ "x$sizeof_long" = "x4" ]; then
501 CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
502fi
503
943a507a 504if [ "$enable_icache_emu" = "yes" ]; then
505 CFLAGS="$CFLAGS -DICACHE_EMULATION"
506fi
507
9f704290 508cat > $TMPC <<EOF
509void test(void *f, void *d) { fread(d, 1, 1, f); }
510EOF
511if compile_object -Wno-unused-result; then
512 CFLAGS="$CFLAGS -Wno-unused-result"
513fi
514
dd4d5a35 515# short plugin list for display
516for p in $plugins; do
517 p1=`basename $p`
518 plugins_short="$p1 $plugins_short"
519done
520
4132e8ca 521# set things that failed to autodetect to "no"
522test "x$have_armv6" != "x" || have_armv6="no"
523test "x$have_armv7" != "x" || have_armv7="no"
524test "x$have_arm_neon" != "x" || have_arm_neon="no"
00a212aa 525test "x$have_gles" != "x" || have_gles="no"
5514a050 526test "x$have_c64x_dsp" != "x" || have_c64x_dsp="no"
4132e8ca 527
528echo "architecture $ARCH"
529echo "platform $platform"
61bc6d40 530echo "built-in GPU $builtin_gpu"
07c13dfd 531echo "sound drivers $sound_drivers"
dd4d5a35 532echo "plugins $plugins_short"
4132e8ca 533echo "C compiler $CC"
534echo "C compiler flags $CFLAGS"
07c13dfd 535echo "libraries $MAIN_LDLIBS"
22fa3f2b 536echo "linker flags $LDFLAGS$MAIN_LDFLAGS"
4132e8ca 537echo "enable dynarec $enable_dynarec"
5514a050 538if [ "$ARCH" = "arm" ]; then
539 echo "ARMv7 optimizations $have_armv7"
540 echo "enable ARM NEON $have_arm_neon"
541 echo "TI C64x DSP support $have_c64x_dsp"
542fi
4132e8ca 543echo "tslib support $have_tslib"
2c616080 544if [ "$platform" = "generic" ]; then
545 echo "OpenGL ES output $have_gles"
546fi
4132e8ca 547
548echo "# Automatically generated by configure" > $config_mak
549printf "# Configured with:" >> $config_mak
550printf " '%s'" "$0" "$@" >> $config_mak
551echo >> $config_mak
552
553echo "CC = $CC" >> $config_mak
ac6575cd 554echo "CXX = $CXX" >> $config_mak
4132e8ca 555echo "AS = $AS" >> $config_mak
556echo "CFLAGS += $CFLAGS" >> $config_mak
557echo "ASFLAGS += $ASFLAGS" >> $config_mak
558echo "LDFLAGS += $LDFLAGS" >> $config_mak
22fa3f2b 559echo "MAIN_LDFLAGS += $MAIN_LDFLAGS" >> $config_mak
07c13dfd 560echo "MAIN_LDLIBS += $MAIN_LDLIBS" >> $config_mak
4132e8ca 561echo "PLUGIN_CFLAGS += $PLUGIN_CFLAGS" >> $config_mak
562echo >> $config_mak
563
38c2028e 564if [ "$platform" = "libretro" ]; then
565 echo "TARGET = libretro.so" >> $config_mak
566fi
4132e8ca 567echo "ARCH = $ARCH" >> $config_mak
568echo "PLATFORM = $platform" >> $config_mak
61bc6d40 569echo "BUILTIN_GPU = $builtin_gpu" >> $config_mak
07c13dfd 570echo "SOUND_DRIVERS = $sound_drivers" >> $config_mak
ddd99692 571echo "PLUGINS = $plugins" >> $config_mak
4132e8ca 572if [ "$have_arm_neon" = "yes" ]; then
573 echo "HAVE_NEON = 1" >> $config_mak
574fi
575if [ "$have_tslib" = "yes" ]; then
576 echo "HAVE_TSLIB = 1" >> $config_mak
577fi
5b9aa749 578if [ "$have_gles" = "yes" ]; then
579 echo "HAVE_GLES = 1" >> $config_mak
580 echo "CFLAGS_GLES = $CFLAGS_GLES" >> $config_mak
581 echo "LDLIBS_GLES = $LDLIBS_GLES" >> $config_mak
582fi
4132e8ca 583if [ "$enable_dynarec" = "yes" ]; then
584 echo "USE_DYNAREC = 1" >> $config_mak
585fi
586if [ "$drc_cache_base" = "yes" ]; then
587 echo "DRC_CACHE_BASE = 1" >> $config_mak
588fi
5514a050 589if [ "$have_c64x_dsp" = "yes" ]; then
590 echo "HAVE_C64_TOOLS = 1" >> $config_mak
591fi
4132e8ca 592
2e6189bc 593# use pandora's skin (for now)
594test -e skin || ln -s frontend/pandora/skin skin
595
4132e8ca 596# vim:shiftwidth=2:expandtab